Newer kernels for Debian stable

If none of the more specific forums is the right place to ask

Re: Newer kernels for Debian stable

Postby fred44nl » 2018-11-11 13:29

Head_on_a_Stick wrote:What if you launch VLC from the command line? Any error messages then?

oh yes
fred44nl@Debian:~$ vlc
VLC media player 3.0.4 Vetinari (revision 3.0.4-0-gf615db6332)
[00005597abb35cf0] main interface error: no suitable interface module
[00005597aba511a0] main libvlc error: interface "globalhotkeys,none" initialization failed
[00005597abb36e40] skins2 interface error: cannot initialize OSFactory

this seems to be with more users, when they updated from version 2.2.x to version 3.0.x
Debian 9.6 on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 88
Joined: 2018-07-14 08:54

Re: Newer kernels for Debian stable

Postby stevepusser » 2018-11-11 20:09

Since Stretch only has VLC 3.0.3, and 3.0.4 is not in stretch-backports, this makes me have to ask how you installed 3.0.4. I do have 3.0.4 in my OBS multimedia backports repo, though.

just

Code: Select all
apt policy vlc


would also be quite informative.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.5 kernel, wine-staging 4.0~rc1, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10278
Joined: 2009-10-06 05:53

Re: Newer kernels for Debian stable

Postby fred44nl » 2018-11-11 20:33

stevepusser wrote:I do have 3.0.4 in my OBS multimedia backports repo, though.


that's where I got it :)

fred44nl@Debian:~$ sudo apt policy vlc
vlc:
Geïnstalleerd: 3.0.4-1~obs
Kandidaat: 3.0.4-1~obs
Versietabel:
*** 3.0.4-1~obs 500
500 http://download.opensuse.org/repositori ... Debian_9.0 Packages
3.0.3-1-0+deb9u1 500
500 http://ftp.nl.debian.org/debian stretch/main amd64 Packages
500 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
2.2.8-2~obs 500
500 http://download.opensuse.org/repositori ... Debian_9.0 Packages
Last edited by fred44nl on 2018-11-11 20:40, edited 1 time in total.
Debian 9.6 on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 88
Joined: 2018-07-14 08:54

Re: Newer kernels for Debian stable

Postby stevepusser » 2018-11-11 20:38

Well, that's weird. Let's make sure the installed vlc libraries all match. What does

Code: Select all
apt policy libvlc*

show? You can cut out all the stuff that's not installed.

Also, what does

Code: Select all
glxinfo
show?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.5 kernel, wine-staging 4.0~rc1, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10278
Joined: 2009-10-06 05:53

Re: Newer kernels for Debian stable

Postby fred44nl » 2018-11-11 21:08

stevepusser wrote:Well, that's weird. Let's make sure the installed vlc libraries all match.


ok, this is what I got, there is only 3 of them:
fred44nl@Debian:~$ sudo apt policy libvlc* | grep Geïnstalleerd
Geïnstalleerd: (geen)
Geïnstalleerd: 3.0.4-1~obs
Geïnstalleerd: (geen)
Geïnstalleerd: 3.0.4-1~obs
Geïnstalleerd: 3.0.4-1~obs
Geïnstalleerd: (geen)
Geïnstalleerd: (geen)
Geïnstalleerd: (geen)
Geïnstalleerd: (geen)


fred44nl@Debian:~$ sudo apt policy libvlc*

libvlc5:
Geïnstalleerd: 3.0.4-1~obs
Kandidaat: 3.0.4-1~obs
Versietabel:
*** 3.0.4-1~obs 500
500 http://download.opensuse.org/repositori ... Debian_9.0 Packages
100 /var/lib/dpkg/status

libvlccore9:
Geïnstalleerd: 3.0.4-1~obs
Kandidaat: 3.0.4-1~obs
Versietabel:
*** 3.0.4-1~obs 500
500 http://download.opensuse.org/repositori ... Debian_9.0 Packages
100 /var/lib/dpkg/status

libvlc-bin:
Geïnstalleerd: 3.0.4-1~obs
Kandidaat: 3.0.4-1~obs
Versietabel:
*** 3.0.4-1~obs 500
500 http://download.opensuse.org/repositori ... Debian_9.0 Packages
100 /var/lib/dpkg/status
Debian 9.6 on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 88
Joined: 2018-07-14 08:54

Re: Newer kernels for Debian stable

Postby stevepusser » 2018-11-11 21:23

Did you reboot after adding the 20-intel.conf file?

It's supposed to change the inxi output to show the Display using the intel driver, like on my laptop:

Code: Select all
Graphics:  Device-1: Intel UHD Graphics 630 driver: i915 v: kernel
           Device-2: NVIDIA GP107M [GeForce GTX 1050 Ti Mobile] driver: N/A
           Display: x11 server: X.Org 1.19.2 driver: intel resolution: 1920x1080~60Hz
           OpenGL: renderer: Mesa DRI Intel UHD Graphics 630 (Coffeelake 3x8 GT2) v: 4.5 Mesa 18.1.7


Debian will automatically have Intel GPUs use the modesetting driver instead of intel if it thinks they are new enough.

Are you running a desktop environment or something a bit more basic?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.5 kernel, wine-staging 4.0~rc1, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10278
Joined: 2009-10-06 05:53

Re: Newer kernels for Debian stable

Postby fred44nl » 2018-11-11 21:42

stevepusser wrote:Also, what does
Code: Select all
glxinfo
show?


sorry, I forgot to answer this question:

fred44nl@Debian:~$ sudo glxinfo
[sudo] wachtwoord voor fred44nl:
Error: unable to open display
Debian 9.6 on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 88
Joined: 2018-07-14 08:54

Re: Newer kernels for Debian stable

Postby stevepusser » 2018-11-11 23:34

don't run glxinfo with sudo or root unless specifically told to. That goes for anything, not just glxinfo.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.5 kernel, wine-staging 4.0~rc1, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10278
Joined: 2009-10-06 05:53

Re: Newer kernels for Debian stable

Postby fred44nl » 2018-11-12 08:28

stevepusser wrote:don't run glxinfo with sudo or root unless specifically told to. That goes for anything, not just glxinfo.

sorry about that.

fred44nl@Debian:~$ glxinfo
Error: unable to open display


I wasn't sure if I had rebooted after adding 20-intel.conf
but now I am and the result is the same:
fred44nl@Debian:~$ inxi -G
Graphics: Card: Intel Device 5a85
Display Server: X.org 1.19.2 driver: intel tty size: 136x40 Advanced Data: N/A out of X


and to make sure 20-intel.conf is correct
fred44nl@Debian:~$ cat /etc/X11/xorg.conf.d/20-intel.conf
Section "Device"
Identifier "Intel Graphics"
Driver "intel"
Option "TearFree" "yes"
EndSection


should I try and uninstall xserver-xorg-video-intel ??
Debian 9.6 on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 88
Joined: 2018-07-14 08:54

Re: Newer kernels for Debian stable

Postby stevepusser » 2018-11-13 01:05

Why are you getting the message "out of X"? Are you just in the terminal interface?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.5 kernel, wine-staging 4.0~rc1, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10278
Joined: 2009-10-06 05:53

Re: Newer kernels for Debian stable

Postby fred44nl » 2018-11-13 08:08

stevepusser wrote:Why are you getting the message "out of X"? Are you just in the terminal interface?

sorry for the misunderstanding.
the previous inxi -G was over SSH.
this one is from LXterminal over RealVNC:
fred44nl@Debian:~$ inxi -G
Graphics: Card: Intel Device 5a85
Display Server: X.Org 1.19.2 driver: intel
Resolution: 1920x1080@60.00hz
GLX Renderer: Mesa DRI Intel HD Graphics 500 (Broxton 2x6)
GLX Version: 3.0 Mesa 13.0.6


I will go and find a keyboard and a mouse and do the same directly.
Debian 9.6 on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 88
Joined: 2018-07-14 08:54

Re: Newer kernels for Debian stable

Postby stevepusser » 2018-11-13 19:21

What about if you tell vlc to use the most basic x11 video output instead of the default openGL?

Code: Select all
vlc <video file> -V x11


If that works, then try the more advanced "xv" to see what happens.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.5 kernel, wine-staging 4.0~rc1, Pale Moon 28.2.2, Mesa 18.2.6, Midori 7.0
User avatar
stevepusser
 
Posts: 10278
Joined: 2009-10-06 05:53

Re: Newer kernels for Debian stable

Postby fred44nl » 2018-11-14 10:16

fred44nl wrote:I will go and find a keyboard and a mouse and do the same directly.


connected a mouse and keyboard.
the result of inxi -G is the same if X11-server is active or not:
fred44nl@Debian:~$ cat inxi.log
Graphics: Card: Intel Device 5a85
Display Server: X.Org 1.19.2 driver: intel Resolution: 1920x1080
GLX Renderer: Mesa DRI Intel HD Graphics 500 (Broxton 2x6) GLX Version: 3.0 Mesa 13.0.6
Debian 9.6 on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 88
Joined: 2018-07-14 08:54

Re: Newer kernels for Debian stable

Postby fred44nl » 2018-11-14 10:23

stevepusser wrote:What about if you tell vlc to use the most basic x11 video output instead of the default openGL?
Code: Select all
vlc <video file> -V x11


done this both directly with mouse and keyboard, as well as using X11-vnc
fred44nl@Debian:~$ cat Down*/vlc.txt
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4473, resource id: 37749070, major code: 2 (ChangeWindowAttributes), minor code: 0
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4474, resource id: 37749070, major code: 18 (ChangeProperty), minor code: 0
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4477, resource id: 37749070, major code: 18 (ChangeProperty), minor code: 0
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4478, resource id: 37749070, major code: 20 (GetProperty), minor code: 0
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4482, resource id: 37749070, major code: 18 (ChangeProperty), minor code: 0
[00007ff91c0012b0] xcb vout display error: window not valid
[00007ff8e4068cc0] main video output error: video output creation failed
QWidget::setMinimumSize: (/MainInterface) The largest allowed size is (16777215,16777215)
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4495, resource id: 37749070, major code: 4 (DestroyWindow), minor code: 0
[00007ff8fcc02120] main decoder error: failed to create video output
[h264 @ 0x7ff8fcc34240] get_buffer() failed
[h264 @ 0x7ff8fcc34240] thread_get_buffer() failed
[h264 @ 0x7ff8fcc34240] decode_slice_header error
[h264 @ 0x7ff8fcc34240] no frame!
QWidget::setMinimumSize: (/MainInterface) The largest allowed size is (16777215,16777215)
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4497, resource id: 37748764, major code: 78 (CreateColormap), minor code: 0
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4498, resource id: 37748764, major code: 1 (CreateWindow), minor code: 0
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4499, resource id: 37749073, major code: 2 (ChangeWindowAttributes), minor code: 0
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4500, resource id: 37749073, major code: 18 (ChangeProperty), minor code: 0
QXcbConnection: XCB error: 3 (BadWindow), sequence: 4501, resource id: 37749073, major code: 18 (ChangeProperty), minor code: 0


so, video is not working, but there is sound.
when I look at PulseAudio it finds HDMI2

edit1:
there is also:
fred44nl@Debian:~$ cat Down*/vlc1.txt
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::save: Painter not active
QPainter::setPen: Painter not active
QPainter::setBrush: Painter not active
QPainter::setRenderHint: Painter must be active to set rendering hints
QPainter::setRenderHint: Painter must be active to set rendering hints
QPainter::worldTransform: Painter not active
QPainter::setWorldTransform: Painter not active
QPainter::brush: Painter not active


edit2:
I did get a little further with : "env QT_AUTO_SCREEN_SCALE_FACTOR=0"
now the gui opens, but the video does not play.
fred44nl@Debian:~$ env QT_AUTO_SCREEN_SCALE_FACTOR=0 vlc "Video's"/*.mkv X11
VLC media player 3.0.4 Vetinari (revision 3.0.4-0-gf615db6332)
[00005590708ec1a0] main libvlc: Vlc draait met de standaardinterface. Gebruik 'cvlc' om vlc zonder interface te gebruiken.
[00005590709ad740] main audio output error: too low audio sample frequency (0)
[00007f3560ce09c0] main decoder error: failed to create audio output
[00005590709ad740] vlcpulse audio output error: digital pass-through stream connection failure: Niet ondersteund
[00005590709ad740] main audio output error: module not functional
[00007f3560ce09c0] main decoder error: failed to create audio output
[00007f353c007b90] main filter error: Failed to create video converter
libva info: VA-API version 0.39.4
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_39
libva info: va_openDriver() returns 0
[00007f3560c06360] avcodec decoder: Using OpenGL/VAAPI backend for VDPAU for hardware decoding
[00007f353c02c090] main filter error: Failed to create video converter
[00007f353c020500] blend blend error: no matching alpha blending routine (chroma: YUVA -> VDV0)
[00007f353c020500] main blend error: blending YUVA to VDV0 failed
[00007f353c020500] blend blend error: no matching alpha blending routine (chroma: YUVA -> VDV0)
Debian 9.6 on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 88
Joined: 2018-07-14 08:54

Re: Newer kernels for Debian stable

Postby fred44nl » 2018-11-14 14:33

don't really know what I have been doing :)
but it is working quite well.
I had to turn off hardware decoding, which is strange, may be.
and there are some audio complaints.
this is how it look now:
fred44nl@Debian:~$ env QT_AUTO_SCREEN_SCALE_FACTOR=0 vlc
VLC media player 3.0.4 Vetinari (revision 3.0.4-0-gf615db6332)
[00005623191dc1a0] main libvlc: Vlc draait met de standaardinterface. Gebruik 'cvlc' om vlc zonder interface te gebruiken.
[000056231926efe0] main playlist: playlist is empty
libdvdnav: Using dvdnav version 5.0.3
libdvdread: Encrypted DVD support unavailable.
************************************************
** **
** No css library available. See **
** /usr/share/doc/libdvdread4/README.css **
** for more information. **
** **
************************************************
libdvdread: Couldn't find device name.
libdvdread:DVDOpenFilePath:findDVDFile /VIDEO_TS/VIDEO_TS.IFO failed
libdvdread:DVDOpenFilePath:findDVDFile /VIDEO_TS/VIDEO_TS.BUP failed
libdvdread: Can't open file VIDEO_TS.IFO.
libdvdnav: vm: failed to read VIDEO_TS.IFO
[000056231929d750] main audio output error: too low audio sample frequency (0)
[00007f1b00ccd3e0] main decoder error: failed to create audio output
[000056231929d750] vlcpulse audio output error: digital pass-through stream connection failure: Niet ondersteund
[000056231929d750] main audio output error: module not functional
[00007f1b00ccd3e0] main decoder error: failed to create audio output
[00007f1ac8007df0] main filter error: Failed to create video converter
QObject::~QObject: Timers cannot be stopped from another thread
fred44nl@Debian:~$
Debian 9.6 on Compulab Fitlet2
User avatar
fred44nl
 
Posts: 88
Joined: 2018-07-14 08:54

PreviousNext

Return to General Questions

Who is online

Users browsing this forum: No registered users and 5 guests

fashionable